body {
  background: linear-gradient(to right, rgba(102, 126, 234, 0.9), rgba(118, 75, 162, 0.9));
  color: #fff;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
}

header {
  position: absolute;
  top: 0;
  text-align: center;
  max-width: 80%;
  margin: 3em;
}

.title {
  font-size: 3em;
  margin: 20px 0;
  color: #ecf0f1;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

.description {
  font-size: 1.2em;
  line-height: 1.5;
  color: #ecf0f1;
  opacity: 0.9;
}

.main-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 90%;
  max-width: 800px;
  margin-top: 3em;
}

.controls {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  /* justify-content: center; */
  width: 100%;
}

label {
  display: block;
  font-size: 1.2em;
  font-weight: bold;
}

input {
  padding: 12px 10px;
  margin: 8px 0;
  /* width: calc(70% - 20px); */
  width: 78%; /* Adjusted width for input */
  box-sizing: border-box;
  border: 1px solid #fff;
  border-radius: 5px;
  background-color: rgba(255, 255, 255, 0.2);
  color: #fff;
  font-size: 1.3em;
  transition: background-color 0.3s;
}

input:hover,
input:focus {
  background-color: rgba(255, 255, 255, 0.3);
}

.transcribe-button {
  margin: 8px 0;
  background-color: #4CAF50;
  color: #fff;
  border: none;
  border-radius: 5px;
  font-size: 1.2em;
  cursor: pointer;
  /* width: calc(30% - 20px); */
  width: 20%; /* Adjust width for button */
  transition: background-color 0.3s;
}

.transcribe-button:hover {
  background-color: #45a049;
}

#display {
  width: 100%;
  margin-top: 3em;
  padding: 30px 20px;
  text-align: center;
  font-size: 1.2em;
  color: #fff;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

#displayText {
  display: inline-block; /* Make it a block element to set width */
  width: 150px;
}

#displayText strong {
  font-weight: bold;
}

#result {
  width: 500px;
}

.copy-button {
  width: 40px;
  height: 40px;
}

footer {
  position: fixed;
  bottom: 0;
  left: 0;
  padding: 10px 0;
  width: 100%;
  text-align: center;
  font-size: 1.2em;
  color: #fff;
  background-color: rgba(54, 32, 100, 0.8);
}